write-mime-multipart(1)

NAME
write-mime-multipart - utilty for creating mime-multipart files, likely for use via user data and cloud-init.

SYNOPSIS
write-mime-multipart [options]

DESCRIPTION
This program is intended to help write data that can be consumed by cloud-init. cloud-init reads mime multipart as user-data.

-h | --help
    Show usage message

-o | --output FILE
    write output to FILE [default is stdout]

-z | --gzip
    compress output with gzip

-d | --default DEFTYPE
    if not provided assume mime-type of DEFTYPE [default is 'text/plain']

--delim DELIM
    use delimiter DELIM [default is ':']

EXAMPLES
  write-mime-multipart --gzip --output=combined-userdata.txt boothook.txt:text/cloud-boothook include-file.txt:text/x-include-url

AUTHOR
This manpage and the utility was written by Scott Moser <scott.moser@canonical.com>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.